# Package org.gradle.api.tasks.options

package org.gradle.api.tasks.options
Annotations for exposing task properties as command line options.

Since:
  4.6

- Related Packages
  Package
  Description
  org.gradle.api.tasks
  The standard `Task` implementations.
- Annotation Types
  Class
  Description
  Option
  Marks a property of a `Task` as being configurable from the command-line.
  OptionValues
  Marks a method on a `Task` as providing the possible values for a `String` or `List<String>` `Option`.